### Method

# GLib BookmarkFile set_icon

since: 2.12

#### Declaration

    void
    g_bookmark_file_set_icon (
      GBookmarkFile* bookmark,
      const gchar* uri,
      const gchar* href,
      const gchar* mime_type
    )

#### Description

Sets the icon for the bookmark for `uri`. If `href` is `NULL`, unsets the currently set icon. `href` can either be a full URL for the icon file or the icon name following the Icon Naming specification.

If no bookmark for `uri` is found one is created.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`href`

  Type: `const gchar*`

  The URI of the icon for the bookmark, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mime_type`

  Type: `const gchar*`

  The MIME type of the icon for the bookmark.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.